## GtkAlignment GtkAlignment |

## Functions

GtkWidget * | gtk_alignment_new ()
void | gtk_alignment_set ()
void | gtk_alignment_get_padding ()
void | gtk_alignment_set_padding ()

## Properties

guint | bottom-padding | Read / Write
guint | left-padding | Read / Write
guint | right-padding | Read / Write
guint | top-padding | Read / Write
gfloat | xalign | Read / Write
gfloat | xscale | Read / Write
gfloat | yalign | Read / Write
gfloat | yscale | Read / Write

## Types and Values

struct | GtkAlignment

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkAlignment

## Implemented Interfaces

GtkAlignment implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_alignment_new ()

    GtkWidget *
    gtk_alignment_new (gfloat xalign,
                       gfloat yalign,
                       gfloat xscale,
                       gfloat yscale);

### gtk_alignment_set ()

    void
    gtk_alignment_set (GtkAlignment *alignment,
                       gfloat xalign,
                       gfloat yalign,
                       gfloat xscale,
                       gfloat yscale);

### gtk_alignment_get_padding ()

    void
    gtk_alignment_get_padding (GtkAlignment *alignment,
                               guint *padding_top,
                               guint *padding_bottom,
                               guint *padding_left,
                               guint *padding_right);

Since: 2.4

### gtk_alignment_set_padding ()

    void
    gtk_alignment_set_padding (GtkAlignment *alignment,
                               guint padding_top,
                               guint padding_bottom,
                               guint padding_left,
                               guint padding_right);

Since: 2.4

## Types and Values

### struct GtkAlignment

    struct GtkAlignment;

## Property Details

### The `“bottom-padding”` property

      “bottom-padding”           guint

The padding to insert at the bottom of the widget.

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

Since: 2.4

### The `“left-padding”` property

      “left-padding”             guint

The padding to insert at the left of the widget.

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

Since: 2.4

### The `“right-padding”` property

      “right-padding”            guint

The padding to insert at the right of the widget.

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

Since: 2.4

### The `“top-padding”` property

      “top-padding”              guint

The padding to insert at the top of the widget.

Flags: Read / Write

Allowed values: <= G_MAXINT

Default value: 0

Since: 2.4

### The `“xalign”` property

      “xalign”                   gfloat

Horizontal position of child in available space. 0.0 is left aligned, 1.0 is right aligned.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“xscale”` property

      “xscale”                   gfloat

If available horizontal space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“yalign”` property

      “yalign”                   gfloat

Vertical position of child in available space. 0.0 is top aligned, 1.0 is bottom aligned.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“yscale”` property

      “yscale”                   gfloat

If available vertical space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1